const axios = require('axios')

const url = "https://api.sendcloud.net/apiv2/mail/send"
const API_USER = ''
const API_KEY = ''

// 请求的配置
let config = {
    timeout: 3 * 60 * 1000, // 设置超时时间 3分钟
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8'
    }
}
// 邮件内容模板
let content_tpl = `
    Dear, %name%:

    Hello, your bill money: $ %money%.
`
let x_smtpapi = {
    "to": ["xxx1@qq.com", "xxx2@qq.com"],
    "sub": {
        "%name%": ['zijue', '小号'],
        "%money%": ['199', '299'],
    },
}
// 请求的参数
let params = {
    "apiUser": API_USER,
    "apiKey": API_KEY,
    "from": "sendcloud@sendcloud.org",
    "fromName": "SendCloud",
    "subject": "SendCloud Node.js x_smtpapi",
    "html": content_tpl,
    "xsmtpapi": JSON.stringify(x_smtpapi)
}
// 发送请求
axios.post(url, params, config).then((resp) => {
    console.log(resp.data);
}).catch((err) => {
    console.log(err)
})
